Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2487)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 2488)
@@ -64,110 +64,113 @@
 
 /**
  * Progression similar to the progression of Weblex software.
- *  
+ * 
  * @author mdecorde
  * @author sjacquot
  */
-public class Progression extends ChartResult	{
-
-
+public class Progression extends ChartResult {
+	
+	
 	/** The norep. */
 	public static int norep = 1;
-
+	
 	/** The prefix r. */
 	public static String prefixR = "Progression"; //$NON-NLS-1$
-
+	
 	public static final String DENSITY_CHART_TYPE = "density"; //$NON-NLS-1$
-
+	
 	/** The Xmin corpus. */
 	protected int XminCorpus;
-
+	
 	/** The Xmax corpus. */
 	protected int XmaxCorpus;
-
+	
 	/** The writer. */
 	private BufferedWriter writer;
-
+	
 	/** List of token position in the text. */
 	protected List<int[]> allPositions;
-
+	
 	/** The structurepositions. */
 	protected int[] structurePositions;
-
+	
 	/** The structurenames. */
 	protected String[] structureNames;
-
+	
 	/** graph boundaries. */
 	protected int maxY;
-
+	
 	/** The max x. */
 	protected int maxX;
-
-
+	
+	
 	/** The bande. */
 	protected float bande = 0.0f;
-
+	
 	/**
 	 * set this to skip the QueryResult build step
 	 */
 	protected List<QueryResult> queryResults;
-
-
+	
+	
 	/**
 	 * Queries.
 	 */
-	@Parameter(key=TXMPreferences.QUERIES)
+	@Parameter(key = TXMPreferences.QUERIES)
 	protected List<CQLQuery> queries;
-
+	
 	/**
 	 * Structural unit.
 	 */
-	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT, type=Parameter.RENDERING)
+	@Parameter(key = TXMPreferences.STRUCTURAL_UNIT, type = Parameter.RENDERING)
 	protected StructuralUnit structuralUnit;
-
+	
 	/**
 	 * Structural unit property.
 	 */
-	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT_PROPERTY, type=Parameter.RENDERING)
+	@Parameter(key = TXMPreferences.STRUCTURAL_UNIT_PROPERTY, type = Parameter.RENDERING)
 	protected StructuralUnitProperty structuralUnitProperty;
-
+	
 	/**
 	 * Repeats or not the same value when displaying the section markers.
 	 */
-	@Parameter(key=ProgressionPreferences.REPEAT_SAME_VALUES, type=Parameter.RENDERING)
+	@Parameter(key = ProgressionPreferences.REPEAT_SAME_VALUES, type = Parameter.RENDERING)
 	protected boolean repeatValues;
-
+	
 	/**
 	 * Only used in Density mode.
 	 */
-	@Parameter(key=ProgressionPreferences.BANDE_MULTIPLIER)
+	@Parameter(key = ProgressionPreferences.BANDE_MULTIPLIER)
 	protected float bandeMultiplier;
-
+	
 	/**
 	 * Regex to display only the property that match it.
 	 */
-	@Parameter(key=ProgressionPreferences.PROPERTY_REGEX, type=Parameter.RENDERING)
+	@Parameter(key = ProgressionPreferences.PROPERTY_REGEX, type = Parameter.RENDERING)
 	protected String propertyRegex;
-
-
+	
+	
 	/**
 	 * Creates a not computed progression
+	 * 
 	 * @param parent
 	 */
-	public Progression(CQPCorpus parent)	{
+	public Progression(CQPCorpus parent) {
 		this(null, parent);
 	}
-
+	
 	/**
 	 * Creates a not computed progression
+	 * 
 	 * @param parametersNodePath
 	 */
-	public Progression(String parametersNodePath)	{
+	public Progression(String parametersNodePath) {
 		super(parametersNodePath, null);
 	}
-
+	
 	/**
 	 * Creates a not computed progression.
+	 * 
 	 * @param parametersNodePath
 	 * @param parent
 	 */
@@ -176,19 +179,19 @@
 		
 		this.domainGridLinesVisible = false;
 	}
-
 	
-
+	
+	
 	@Override
 	public boolean loadParameters() {
-		if(!this.getStringParameterValue(TXMPreferences.QUERIES).isEmpty())	{
+		if (!this.getStringParameterValue(TXMPreferences.QUERIES).isEmpty()) {
 			this.queries = CQLQuery.stringToQueries(this.getStringParameterValue(TXMPreferences.QUERIES));
 		}
-
-		if(!this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT).isEmpty())	{
+		
+		if (!this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT).isEmpty()) {
 			try {
 				this.structuralUnit = this.getCorpus().getStructuralUnit(this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT));
-				if(!this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTY).isEmpty())	{
+				if (!this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTY).isEmpty()) {
 					this.structuralUnitProperty = this.structuralUnit.getProperty(this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTY));
 				}
 			}
@@ -197,46 +200,46 @@
 				e.printStackTrace();
 			}
 		}
-
-
+		
+		
 		// generate the chart type according to cumulative boolean preference
-		if(!this.getBooleanParameterValue(ProgressionPreferences.CHART_CUMULATIVE))	{
+		if (!this.getBooleanParameterValue(ProgressionPreferences.CHART_CUMULATIVE)) {
 			this.chartType = Progression.DENSITY_CHART_TYPE;
 		}
-
+		
 		return true;
 	}
-
-
+	
+	
 	@Override
 	public boolean saveParameters() {
-
-		if(this.queries != null && !this.queries.isEmpty())	{
+		
+		if (this.queries != null && !this.queries.isEmpty()) {
 			this.saveParameter(TXMPreferences.QUERIES, CQLQuery.queriesToString(this.queries));
 		}
-
-		if(this.structuralUnit != null)	{
+		
+		if (this.structuralUnit != null) {
 			this.saveParameter(TXMPreferences.STRUCTURAL_UNIT, this.structuralUnit.getName());
 		}
-
-		if(this.structuralUnitProperty != null)	{
+		
+		if (this.structuralUnitProperty != null) {
 			this.saveParameter(TXMPreferences.STRUCTURAL_UNIT_PROPERTY, this.structuralUnitProperty.getName());
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean canCompute() {
-
+		
 		// null or empty queries
-		if (this.queries == null || this.queries.isEmpty())	{
+		if (this.queries == null || this.queries.isEmpty()) {
 			Log.fine("Progression.canCompute(): can not compute with no query."); //$NON-NLS-1$
 			return false;
 		}
-
+		
 		// wrong REGEX
-		if (!this.propertyRegex.isEmpty())	{
+		if (!this.propertyRegex.isEmpty()) {
 			try {
 				Pattern.compile(this.propertyRegex);
 			}
@@ -246,40 +249,42 @@
 				return false;
 			}
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		// TODO Auto-generated method stub
 		System.err.println("Progression.setParameters(): not yet implemented."); //$NON-NLS-1$
 		return true;
 	}
-
-
-
+	
+	
+	
 	/**
 	 * Sets the structural unit.
+	 * 
 	 * @param structuralUnit
 	 */
-	public void setStructuralUnit(StructuralUnit structuralUnit)	{
+	public void setStructuralUnit(StructuralUnit structuralUnit) {
 		this.structuralUnit = structuralUnit;
 		this.setStructuralUnitProperty(null);
 	}
-
+	
 	/**
 	 * Sets the structural unit property.
+	 * 
 	 * @param structuralUnitProperty
 	 */
-	public void setStructuralUnitProperty(StructuralUnitProperty structuralUnitProperty)	{
+	public void setStructuralUnitProperty(StructuralUnitProperty structuralUnitProperty) {
 		this.structuralUnitProperty = structuralUnitProperty;
 	}
 	
 	public void setQueryResults(List<QueryResult> queryResults) {
 		this.queryResults = queryResults;
 	}
-
+	
 	/**
 	 * 
 	 * @param queries
@@ -292,70 +297,72 @@
 	 * @param bandeMultiplier
 	 */
 	// FIXME : SJ: all parameters related to rendering should be removed from this class and centralized in the charts engine system, eg. line width
-	public void setParameters(List<CQLQuery> queries, 
-			StructuralUnit structuralUnit, StructuralUnitProperty property, String propertyregex, 
-			boolean doCumulative, int lineWidth, boolean repeatValues, float bandeMultiplier)	{
+	public void setParameters(List<CQLQuery> queries,
+			StructuralUnit structuralUnit, StructuralUnitProperty property, String propertyregex,
+			boolean doCumulative, int lineWidth, boolean repeatValues, float bandeMultiplier) {
 		this.queries = queries; // the query of the selection
 		this.structuralUnit = structuralUnit;
 		this.structuralUnitProperty = property;
 		this.propertyRegex = propertyregex;
 		this.repeatValues = repeatValues;
 		this.bandeMultiplier = bandeMultiplier;
-
-		for (int i = 0 ; i < DefaultTheme.monoWidths.length ; i++) {
+		
+		for (int i = 0; i < DefaultTheme.monoWidths.length; i++) {
 			DefaultTheme.monoWidths[i] = lineWidth;
 		}
 	}
-
+	
 	/**
 	 * Computes.
 	 *
 	 * @return true, if successful
 	 * @throws CqiClientException the cqi client exception
-	 * @throws CqiServerError 
-	 * @throws IOException 
+	 * @throws CqiServerError
+	 * @throws IOException
 	 */
+	@Override
 	protected boolean __compute() throws Exception {
-
+		
 		// Queries
-		if(this.hasParameterChanged(ProgressionPreferences.QUERIES))	{
-			this.allPositions = new ArrayList<int[]>();
+		if (this.hasParameterChanged(ProgressionPreferences.QUERIES)) {
+			this.allPositions = new ArrayList<>();
 			this.structurePositions = new int[0];
 			this.structureNames = new String[0];
-
+			
 			this.subTask("Processing queries...");
 			if (!this.stepQueries()) {
 				return true;
 			}
-
-			if (this.isCanceled())	{
+			
+			if (this.isCanceled()) {
 				return false;
 			}
 			this.worked(10);
 		}
-
+		
 		// Structural units
 		this.subTask("Processing structural units...");
-		if (!this.stepStructuralUnits())	{
+		if (!this.stepStructuralUnits()) {
 			return false;
 		}
 		this.worked(20);
-
-
+		
+		
 		// Finalization steps
-		if(this.hasParameterChanged(ProgressionPreferences.QUERIES))	{
+		if (this.hasParameterChanged(ProgressionPreferences.QUERIES)) {
 			this.subTask("Finalizing...");
-			if (!stepFinalize())	{
+			if (!stepFinalize()) {
 				return false;
 			}
 			this.worked(20);
 		}
-
+		
 		return true;
 	}
-
+	
 	/**
 	 * Test discontinuity of a corpus. If the corpus is a subcorpus then test if the start-end of matches make no hole
+	 * 
 	 * @param corpus
 	 * @return
 	 */
@@ -370,8 +377,8 @@
 					previousMatch = m;
 					continue;
 				}
-
-				if (m.getStart() == previousMatch.getEnd()+1) {
+				
+				if (m.getStart() == previousMatch.getEnd() + 1) {
 					previousMatch = m;
 					continue;
 				}
@@ -382,34 +389,35 @@
 		}
 		return true;
 	}
-
+	
 	/**
 	 * compute using already resolved QueryResults
+	 * 
 	 * @param queryResults
 	 * @return
 	 * @throws CqiClientException
 	 */
 	public boolean stepQueries(List<QueryResult> queryResults) throws CqiClientException {
 		if (queryResults.size() != queries.size()) return false;
-
+		
 		maxX = getCorpus().getSize();
 		int npositions = 0;
-		for (int iQuery = 0 ; iQuery < queries.size() ; iQuery++) {
+		for (int iQuery = 0; iQuery < queries.size(); iQuery++) {
 			QueryResult result = queryResults.get(iQuery);
-
+			
 			int nLines = result.getNMatch();
 			if (maxY < nLines) {
 				maxY = nLines;
 			}
-
+			
 			List<Match> matches = null;
 			if (nLines > 0) {
 				matches = result.getMatches(0, nLines - 1); // get the indexes sequences of result's tokens
 			}
 			else {
-				matches = new ArrayList<Match>();
+				matches = new ArrayList<>();
 			}
-			//System.out.println("matches: "+matches);
+			// System.out.println("matches: "+matches);
 			int[] positions = new int[matches.size()];
 			// System.out.println("nb positions "+matches.size());
 			// if (matches.size() > 0)
@@ -422,38 +430,40 @@
 		}
 		return npositions > 0;
 	}
-
+	
 	/**
 	 * Step queries.
 	 *
 	 * @throws CqiClientException the cqi client exception
 	 */
-	public boolean stepQueries() throws CqiClientException	{
+	public boolean stepQueries() throws CqiClientException {
 		maxX = getCorpus().getSize();
 		int npositions = 0;
-
-		for (int iQuery = 0 ; iQuery < queries.size() ; iQuery++) {
+		
+		for (int iQuery = 0; iQuery < queries.size(); iQuery++) {
 			QueryResult result = null;
 			if (queryResults != null) {
 				result = queryResults.get(iQuery);
-			} else {
+			}
+			else {
 				CQLQuery query = queries.get(iQuery);
-				// System.out.println("query  "+query.getQueryString());
+				// System.out.println("query "+query.getQueryString());
 				result = getCorpus().query(query, query.getQueryString()
 						.replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 			int nLines = result.getNMatch();
 			if (maxY < nLines)
 				maxY = nLines;
-
+			
 			List<Match> matches = null;
 			if (nLines > 0) {
 				matches = result.getMatches(0, nLines - 1); // get the indexes
 				// sequences of result's tokens
-			} else {
-				matches = new ArrayList<Match>();
 			}
-			//System.out.println("matches: "+matches);
+			else {
+				matches = new ArrayList<>();
+			}
+			// System.out.println("matches: "+matches);
 			int[] positions = new int[matches.size()];
 			// System.out.println("nb positions "+matches.size());
 			// if (matches.size() > 0)
@@ -467,15 +477,15 @@
 		}
 		return npositions > 0;
 	}
-
+	
 	/**
 	 * Step structural units.
 	 *
 	 * @throws CqiClientException the cqi client exception
-	 * @throws CqiServerError 
-	 * @throws IOException 
+	 * @throws CqiServerError
+	 * @throws IOException
 	 */
-	public boolean stepStructuralUnits() throws CqiClientException, IOException, CqiServerError	{
+	public boolean stepStructuralUnits() throws CqiClientException, IOException, CqiServerError {
 		// structure query
 		if (structuralUnit != null) {
 			CQLQuery query = new CQLQuery("<" + structuralUnit.getName() + ">[]"); //$NON-NLS-1$ //$NON-NLS-2$
@@ -483,34 +493,34 @@
 				if (!propertyRegex.isEmpty()) {
 					query = new CQLQuery("<" + structuralUnitProperty.getFullName() + "=\"" + propertyRegex + "\">[]"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
-				else	{
+				else {
 					query = new CQLQuery("<" + structuralUnitProperty.getFullName() + ">[]"); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 			}
-
+			
 			// System.out.println("Struct: "+ structure+" property: "+property);
 			// System.out.println(query.getQueryString());
 			QueryResult result = getCorpus().query(query, query.getQueryString().replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			int[] starts = result.getStarts();
 			result.drop();
 			int nLines = starts.length;
-
-			//			List<Match> matches = new ArrayList<Match>();
-			//			if (nLines > 0)
-			//				matches = result.getMatches(0, nLines - 1); // get the indexes
+			
+			// List<Match> matches = new ArrayList<Match>();
+			// if (nLines > 0)
+			// matches = result.getMatches(0, nLines - 1); // get the indexes
 			// sequences of result's tokens
-
+			
 			structurePositions = new int[nLines];
 			structureNames = new String[nLines];
-
-
-
-			Map<Property, List<String>> refValues = new HashMap<Property, List<String>>();
+			
+			
+			
+			Map<Property, List<String>> refValues = new HashMap<>();
 			if (structuralUnitProperty != null) {
 				List<String> values = CorpusManager.getCorpusManager().getCqiClient().getSingleData(structuralUnitProperty, starts);
 				refValues.put(structuralUnitProperty, values);
 			}
-
+			
 			int i = 0;
 			String previousname = ""; //$NON-NLS-1$
 			String currentname = ""; //$NON-NLS-1$
@@ -523,59 +533,59 @@
 				else {
 					currentname = structuralUnit.getName() + i;
 				}
-
-				//				if (repeatValues) {
+				
+				// if (repeatValues) {
 				structureNames[i] = currentname;
 				structurePositions[i] = m;
-				//				}
-				//				else {
-				//					if (!previousname.equals(currentname)) {
-				//						structureNames[i] = currentname;
-				//						structurePositions[i] = m;
-				//					}
-				//				}
+				// }
+				// else {
+				// if (!previousname.equals(currentname)) {
+				// structureNames[i] = currentname;
+				// structurePositions[i] = m;
+				// }
+				// }
 				if (i == 0) {
 					structurePositions[i] += 1;
 				}
-
+				
 				if (m - previousposition < distmin) {
 					distmin = m - previousposition;
 				}
-
+				
 				previousname = currentname;
 				previousposition = m;
-
+				
 				i++;
-
+				
 				this.worked(1);
 			}
 			this.bande = distmin * this.bandeMultiplier;
 		}
 		return true;
 	}
-
+	
 	/**
 	 * Step finalize.
 	 *
 	 * @throws CqiClientException the cqi client exception
 	 */
-	public boolean stepFinalize() throws CqiClientException	{
+	public boolean stepFinalize() throws CqiClientException {
 		if (getCorpus() instanceof Subcorpus) {
 			List<Match> matches = ((Subcorpus) getCorpus()).getMatches();
 			if (matches.size() == 0) {
 				System.out.println(ProgressionCoreMessages.errorColonSubcorpusWithSize0);
 				return false;
 			}
-
+			
 			XminCorpus = matches.get(0).getStart();
-			XmaxCorpus = matches.get(matches.size()-1).getEnd();
+			XmaxCorpus = matches.get(matches.size() - 1).getEnd();
 		}
 		else {
 			XminCorpus = 0;
 			XmaxCorpus = getCorpus().getSize();
 		}
-		//System.out.println("min: "+XminCorpus+ "max: "+XmaxCorpus);
-
+		// System.out.println("min: "+XminCorpus+ "max: "+XmaxCorpus);
+		
 		if (bande <= 0) {
 			bande = ((XmaxCorpus - XminCorpus) / 100) * bandeMultiplier;
 			if (bande == 0) {
@@ -584,11 +594,11 @@
 		}
 		return true;
 	}
-
-
-
-
-
+	
+	
+	
+	
+	
 	/**
 	 * Gets the max x.
 	 *
@@ -597,7 +607,7 @@
 	public int getMaxX() {
 		return maxX;
 	}
-
+	
 	/**
 	 * Gets the max y.
 	 *
@@ -606,7 +616,7 @@
 	public int getMaxY() {
 		return maxY;
 	}
-
+	
 	/**
 	 * Gets the corpus.
 	 *
@@ -615,7 +625,7 @@
 	public CQPCorpus getCorpus() {
 		return (CQPCorpus) this.parent;
 	}
-
+	
 	/**
 	 * Gets the queries.
 	 *
@@ -624,29 +634,29 @@
 	public List<CQLQuery> getQueries() {
 		return this.queries;
 	}
-
+	
 	/**
 	 * @return the allPositions
 	 */
 	public List<int[]> getAllPositions() {
 		return allPositions;
 	}
-
-
+	
+	
 	/**
 	 * Gets the positions counts.
 	 *
 	 * @return the positions counts
 	 */
 	public List<Integer> getPositionsCounts() {
-		ArrayList<Integer> counts = new ArrayList<Integer>();
+		ArrayList<Integer> counts = new ArrayList<>();
 		for (int[] list : allPositions) {
 			counts.add(list.length);
 		}
 		return counts;
 	}
-
-
+	
+	
 	/**
 	 * Checks if is repeatvalues.
 	 *
@@ -655,9 +665,9 @@
 	public boolean isRepeatingValues() {
 		return repeatValues;
 	}
-
-
-
+	
+	
+	
 	@Override
 	public void clean() {
 		try {
@@ -671,14 +681,14 @@
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
-
+	
 	@Override
 	public boolean toTxt(File outfile, String encoding, String colseparator,
 			String txtseparator) throws Exception {
 		return toTxt(outfile, encoding);
 	}
-
-
+	
+	
 	/**
 	 * 
 	 * @param outfile
@@ -690,136 +700,138 @@
 		// NK: writer declared as class attribute to perform a clean if the operation is interrupted
 		tryAcquireSemaphore();
 		this.writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile),
-				encoding)); 
-		for (int i = 0 ; i < queries.size() ; i++) {
-			writer.write("* "+queries.get(i)+"\n"); //$NON-NLS-1$ //$NON-NLS-2$
+				encoding));
+		for (int i = 0; i < queries.size(); i++) {
+			writer.write("* " + queries.get(i) + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			for (int p : allPositions.get(i)) {
-				writer.write(""+p+"\n"); //$NON-NLS-1$ //$NON-NLS-2$
+				writer.write("" + p + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		writer.close();
 		releaseSemaphore();
 		return true;
 	}
-
-
+	
+	
 	/**
 	 * @return the structurePositions
 	 */
 	public int[] getStructurePositions() {
 		return structurePositions;
 	}
-
+	
 	/**
 	 * @return the structureNames
 	 */
 	public String[] getStructureNames() {
 		return structureNames;
 	}
-
-
+	
+	
 	/**
 	 * @return the propertyRegex
 	 */
 	public String getPropertyRegex() {
 		return propertyRegex;
 	}
-
+	
 	/**
 	 * @return the bande
 	 */
 	public float getBande() {
 		return bande;
 	}
-
+	
 	/**
 	 * @return the xminCorpus
 	 */
 	public int getXminCorpus() {
 		return XminCorpus;
 	}
-
+	
 	/**
 	 * @return the xmaxCorpus
 	 */
 	public int getXmaxCorpus() {
 		return XmaxCorpus;
 	}
-
-
+	
+	
 	@Override
 	public String[] getExportTXTExtensions() {
-		return new String[]{"*.txt"};
+		return new String[] { "*.txt" };
 	}
-
-
+	
+	
 	/**
 	 * Computes and gets a query constructed from all the queries in alternative mode (with pipe |).
+	 * 
 	 * @return
 	 */
 	// FIXME: not used? even in synchronous editors (concordance and edition?)?
-	public String getQueriesString()	{
-		ArrayList<Integer> allQueriesIndexes = new ArrayList<Integer>(this.queries.size());
-		for(int i = 0; i < this.queries.size(); i++) {
+	public String getQueriesString() {
+		ArrayList<Integer> allQueriesIndexes = new ArrayList<>(this.queries.size());
+		for (int i = 0; i < this.queries.size(); i++) {
 			allQueriesIndexes.add(i);
 		}
-		return this.getQueriesString(allQueriesIndexes) ;
+		return this.getQueriesString(allQueriesIndexes);
 	}
-
+	
 	/**
 	 * Computes and gets a query constructed from all the queries specified by their index in alternative mode (with pipe |).
+	 * 
 	 * @param queriesIndexes
 	 * @return
 	 */
-	public String getQueriesString(ArrayList<Integer> queriesIndexes)	{
-
+	public String getQueriesString(ArrayList<Integer> queriesIndexes) {
+		
 		String query = "";
-
-		for(int i = 0; i < this.queries.size(); i++) {
-			if(queriesIndexes.contains(i))	{
+		
+		for (int i = 0; i < this.queries.size(); i++) {
+			if (queriesIndexes.contains(i)) {
 				String tmpQuery = this.queries.get(i).getQueryString();
-				// Remove "[" and "]" only if it's a simple query as "[look]" 
-				if(tmpQuery.startsWith("[") && !tmpQuery.contains("="))	{
+				// Remove "[" and "]" only if it's a simple query as "[look]"
+				if (tmpQuery.startsWith("[") && !tmpQuery.contains("=")) {
 					int length = tmpQuery.length();
-					if(tmpQuery.endsWith("]"))	{
+					if (tmpQuery.endsWith("]")) {
 						length--;
 					}
 					tmpQuery = tmpQuery.substring(1, length);
 				}
-				if(query.length() > 0)	{
+				if (query.length() > 0) {
 					query += " | ";
 				}
 				query += tmpQuery;
 			}
 		}
-
+		
 		return query;
-
+		
 	}
-
-
+	
+	
 	@Override
 	public String getDetails() {
 		return this.getName();
 	}
-
+	
 	@Override
 	public String getName() {
 		try {
 			return this.parent.getSimpleName() + ": " + this.getSimpleName(); //$NON-NLS-1$
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 		}
 		return ""; //$NON-NLS-1$
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		try {
 			if (this.queries == null || this.queries.isEmpty()) {
 				return getEmptyName();
 			}
-			String output  = StringUtils.join(this.queries, ","); //$NON-NLS-1$
+			String output = StringUtils.join(this.queries, ","); //$NON-NLS-1$
 			if (this.propertyRegex != null) {
 				output += " " + this.propertyRegex; //$NON-NLS-1$
 			}
@@ -829,17 +841,17 @@
 		}
 		return this.getEmptyName();
 	}
-
-
+	
+	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(ProgressionCoreMessages.progressionOfP0InTheP1Corpus, this.queries.toString(), this.getCorpus().getName());
+		return TXMCoreMessages.bind(ProgressionCoreMessages.progressionOfP0InTheP1Corpus, this.queries, this.getCorpus().getName());
 	}
-
-
+	
+	
 	@Override
 	public String getComputingDoneMessage() {
-		if (this.getAllPositions() == null || this.getAllPositions().isEmpty())	{
+		if (this.getAllPositions() == null || this.getAllPositions().isEmpty()) {
 			return TXMCoreMessages.common_noResults;
 		}
 		else {
@@ -850,62 +862,62 @@
 			return TXMCoreMessages.bind(TXMCoreMessages.common_P0Positions, positions);
 		}
 	}
-
+	
 	/**
 	 * @return the bandeMultiplier
 	 */
 	public float getBandeMultiplier() {
 		return bandeMultiplier;
 	}
-
+	
 	/**
 	 * @param bandeMultiplier the bandeMultiplier to set
 	 */
 	public void setBandeMultiplier(float bandeMultiplier) {
 		this.bandeMultiplier = bandeMultiplier;
 	}
-
-
-
+	
+	
+	
 	/**
 	 * @param repeatValues the repeatValues to set
 	 */
 	public void setRepeatValues(boolean repeatValues) {
 		this.repeatValues = repeatValues;
 	}
-
-
-
-
+	
+	
+	
+	
 	/**
 	 * @return the structuralUnit
 	 */
 	public StructuralUnit getStructuralUnit() {
 		return structuralUnit;
 	}
-
-
-
+	
+	
+	
 	/**
 	 * @return the structuralUnitProperty
 	 */
 	public StructuralUnitProperty getStructuralUnitProperty() {
 		return structuralUnitProperty;
 	}
-
-
-
+	
+	
+	
 	/**
 	 * @param queries the queries to set
 	 */
 	public void setQueries(List<CQLQuery> queries) {
 		this.queries = queries;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return ProgressionCoreMessages.RESULT_TYPE;
 	}
-
-
-}
\ No newline at end of file
+	
+	
+}
